Bug 494307 - vala 0.7.1 released
vala 0.7.1 released
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: vala (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-06 06:39 EDT by Fabian Affolter
Modified: 2009-06-24 15:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.7.3-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-24 15:38:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-04-06 06:39:19 EDT
By surfing the net I saw that there is a new version of vala available.

Vala 0.7.0 released on April 5, 2009

Changes

    * Do not generate header files unless requested by the -H commandline
          o option. This requires changes in the build system of Vala projects. 
    * Support conditional compilation.
Comment 1 Peter Robinson 2009-04-12 17:28:06 EDT
This is also required by the new gupnp-vala bindings. It would be nice to get this updated in time for the Fedora 11 freeze so that the final F-11 release has the latest vala.
Comment 2 MERCIER Jonathan 2009-04-23 18:26:34 EDT
April 20, 2009: Vala 0.7.1 released
the last version is for Fedora 11?
Comment 3 Peter Robinson 2009-04-24 02:57:00 EDT
F-11 currently has 0.5.7. 

0.7.0 was the current upstream release when the bug was opened.
Comment 4 MERCIER Jonathan 2009-04-28 16:52:03 EDT
dear sir,
i want package val(a)ide but it require apply a pacth in vala librarie

such as (shall script) :
________________________________________________________________________
vala_dir="$(dirname $(which valac))/../share/vala"
patch -p0 -d "$vala_dir" < $(cd `dirname $0` && pwd)/gtk+-2.0.vapi.diff
________________________________________________________________________

can you patch please for package val(a)ide
kind regards
Comment 6 Peter Robinson 2009-05-21 14:36:22 EDT
> can you patch please for package val(a)ide

Any patches will need to be accepted upstream first.
Comment 7 Peter Robinson 2009-05-21 14:36:48 EDT
vala 0.7.2 is now out.
Comment 8 Peter Robinson 2009-06-01 17:45:10 EDT
vala 0.7.3 is now out. Any issues if I update this package?
Comment 9 MERCIER Jonathan 2009-06-01 18:56:04 EDT
vala 0.7.3
Changes
    * Add initial support for POSIX profile.
    * Add --vapi and --gir commandline options.
    * Add initial x11, xcb, and cairo-xcb bindings.
    * Many bug fixes and binding updates. 

for me no issues
Comment 10 Peter Robinson 2009-06-03 08:16:21 EDT
I've build this in koji for F12/F11. I haven't pushed it as a testing update to F11 though.
Comment 11 Fedora Update System 2009-06-04 06:56:20 EDT
vala-0.7.3-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/vala-0.7.3-1.fc11
Comment 12 Bug Zapper 2009-06-09 09:20:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Fedora Update System 2009-06-15 22:09:58 EDT
vala-0.7.3-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vala'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6310
Comment 14 Fedora Update System 2009-06-24 15:38:14 EDT
vala-0.7.3-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.